linux/tools/build/feature/test-libopencsd.c
<<
>>
Prefs
   1// SPDX-License-Identifier: GPL-2.0
   2#include <opencsd/c_api/opencsd_c_api.h>
   3
   4/*
   5 * Check OpenCSD library version is sufficient to provide required features
   6 */
   7#define OCSD_MIN_VER ((1 << 16) | (0 << 8) | (0))
   8#if !defined(OCSD_VER_NUM) || (OCSD_VER_NUM < OCSD_MIN_VER)
   9#error "OpenCSD >= 1.0.0 is required"
  10#endif
  11
  12int main(void)
  13{
  14        (void)ocsd_get_version();
  15        return 0;
  16}
  17